#include "MIDIUSB.h"

int timer,flag;

void noteOn(byte channel, byte pitch, byte velocity) {
  midiEventPacket_t noteOn = {0x09, 0x90 | channel, pitch, velocity};
  MidiUSB.sendMIDI(noteOn);
}

void noteOff(byte channel, byte pitch, byte velocity) {
  midiEventPacket_t noteOff = {0x08, 0x80 | channel, pitch, velocity};
  MidiUSB.sendMIDI(noteOff);
}

void setup() {
  Serial.begin(115200);
  pinMode(LED_BUILTIN, OUTPUT);
  timer = 0;
  flag = 0;
}

void controlChange(byte channel, byte control, byte value) {
  midiEventPacket_t event = {0x0B, 0xB0 | channel, control, value};
  MidiUSB.sendMIDI(event);
}

void loop() {
  midiEventPacket_t rx;
  while(1){
    do {
      rx = MidiUSB.read();
      if (rx.header != 0) {
        controlChange(rx.byte1, rx.byte2, rx.byte3);
        MidiUSB.flush();
        digitalWrite(LED_BUILTIN, HIGH);
        flag = 1;
        timer = 0;
      }
    } while (rx.header != 0);
    if (flag == 1){
      if (++timer > 30000){
        digitalWrite(LED_BUILTIN, LOW);
        flag = 0;
      }
    }
  }
}
